## ros-noetic-ecl-io 0.61.6

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_io)

##############################################################################
# Catkin
##############################################################################

set(sockets_INCLUDE_DIRS "") # Just assume they're in the system dirs for now
if(MINGW)
  set(sockets_LIBRARIES rpcrt4 shell32 ws2_32 advapi32 kernel32 msvcrt)
elseif(WIN32)
  find_library(sockets_LIBRARIES ws2_32)
else()
    set(sockets_LIBRARIES "")
endif()

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS ecl_config ecl_errors)
catkin_package(
        INCLUDE_DIRS include
        LIBRARIES ${PROJECT_NAME}
        DEPENDS sockets
        )
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Actual project configuration
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

=== include/ecl/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(io)

##############################################################################
# Files
##############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)

install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl)

=== src/lib/CMakeLists.txt ===
##############################################################################
# Files
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
add_library(${PROJECT_NAME} ${SOURCES})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${sockets_LIBRARIES})
install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== debian/changelog ===
ros-noetic-ecl-io (0.61.6-1focal) focal; urgency=high

  * accomodate platforms (e.g. macosx) without SOCK_NONBLOCK

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Jun 2016 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-ecl-io
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-ecl-config, ros-noetic-ecl-errors, ros-noetic-ecl-license
Homepage: http://wiki.ros.org/ecl_io
Standards-Version: 3.9.2

Package: ros-noetic-ecl-io
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-ecl-config, ros-noetic-ecl-errors, ros-noetic-ecl-license
Description: Most implementations (windows, posix, ...) have slightly different api for low level input-output functions.
 These are gathered here and re-represented with a cross platform set of functions.
